Subject: MCA when shutting down tulip quad-NIC 
From: andrew.patterson@hp.com
References: SUSE39204

Shutting down the network causes an MCA because of an IO TLB error when
a DEC quad 10/100 card is in any slot.  This problem was originally seen
on an HP rx4640.

Acked-by: Olaf Kirch <okir@suse.de>
Signed-off-by: Oliver Pinter <oliver.pntr@gmail.com>

 drivers/net/tulip/tulip_core.c |    4 ++++
 1 file changed, 4 insertions(+)

--- a/drivers/net/tulip/tulip_core.c	2007-07-08 19:32:17.000000000 -0400
+++ b/drivers/net/tulip/tulip_core.c	2007-08-27 14:01:23.000000000 -0400
@@ -1794,6 +1794,10 @@ static void __devexit tulip_remove_one (
 		return;
 
 	tp = netdev_priv(dev);
+
+	/* shoot NIC in the head before deallocating descriptors */
+	pci_disable_device(tp->pdev);
+
 	unregister_netdev(dev);
 	pci_free_consistent (pdev,
 			     sizeof (struct tulip_rx_desc) * RX_RING_SIZE +
